curl --request GET \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "600f9b41-1a97-4b85-b69f-901839678772",
"generation": 5,
"name": "workers-a",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:15:00.000Z",
"provisioningStatus": "provisioned",
"provisioningStatusDetail": {
"reason": "Provisioned",
"message": "node pool is available"
},
"healthStatus": "healthy",
"healthStatusDetail": {
"reason": "Healthy",
"message": "node pool workers are ready"
},
"tags": [
{
"name": "role",
"value": "worker"
}
]
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 3,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 5,
"kubernetesVersion": "v1.32.3",
"desiredReplicas": 3,
"currentReplicas": 3,
"readyReplicas": 3
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}List node pools
List node pools. Results are ordered by exact display name and then by public resource ID. Repeated values within one status filter are combined with OR; different filter classes are combined with AND.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
A set of tags to match against resources in the form "name=value", thus when encoded you get "?tag=foo%3Dcat&tag=bar%3Ddog".
Allows resources to be filtered by organization.
Allows resources to be filtered by project.
Allows node pools to be filtered by cluster.
Allows resources to be filtered by region. For platform releases, matches releases available in any supplied region.
Filters resources by exact, case-sensitive display name. Every matching resource is returned because display names are not unique. A valid Kubernetes label value, typically used for resource names that can be indexed in the database.
^[0-9A-Za-z](?:[0-9A-Za-z-_.]{0,61}[0-9A-Za-z])?$Filters resources by UNI provisioning status. Repeat the parameter to match any supplied value.
The provisioning state of a resource.
pending, provisioning, provisioned, deprovisioning, error Filters resources by UNI health status. Repeat the parameter to match any supplied value.
The health state of a resource.
unknown, healthy, degraded, error Filters by deletion state. True returns terminating resources, false returns non-terminating resources, and omission returns both.
Response
A list of node pools.
Was this page helpful?